E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
ghash.h File Reference
`#include "gdef.h"`
`#include "gexception.h"`
`#include <string>`

Go to the source code of this file.

## Classes
class | G::Hash
| A class for creating HMACs using an arbitrary cryptographic hash function. More...
struct | G::Hash::Masked
| An overload discriminator for G::Hash::hmac() More...

## Namespaces
| G
| Low-level classes.